org.apache.lucene.index

## Class AssertingLeafReader.AssertingSortedSetDocValues

- java.lang.Object
- - org.apache.lucene.index.SortedSetDocValues
  - - org.apache.lucene.index.AssertingLeafReader.AssertingSortedSetDocValues

- Enclosing class:
    AssertingLeafReader

      public static class AssertingLeafReader.AssertingSortedSetDocValues
      extends SortedSetDocValues

  Wraps a SortedSetDocValues but with additional asserts

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.SortedSetDocValues

      `NO_MORE_ORDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingSortedSetDocValues(SortedSetDocValues in, int maxDoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getValueCount()`
    `BytesRef` | `lookupOrd(long ord)`
    `long` | `lookupTerm(BytesRef key)`
    `long` | `nextOrd()`
    `void` | `setDocument(int docID)`

    - ### Methods inherited from class org.apache.lucene.index.SortedSetDocValues

      `intersect, termsEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingSortedSetDocValues

          public AssertingSortedSetDocValues(SortedSetDocValues in,
                                             int maxDoc)

  - ### Method Detail

    - #### nextOrd

          public long nextOrd()

      Specified by:
        `nextOrd` in class `SortedSetDocValues`

    - #### setDocument

          public void setDocument(int docID)

      Specified by:
        `setDocument` in class `SortedSetDocValues`

    - #### lookupOrd

          public BytesRef lookupOrd(long ord)

      Specified by:
        `lookupOrd` in class `SortedSetDocValues`

    - #### getValueCount

          public long getValueCount()

      Specified by:
        `getValueCount` in class `SortedSetDocValues`

    - #### lookupTerm

          public long lookupTerm(BytesRef key)

      Overrides:
        `lookupTerm` in class `SortedSetDocValues`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.